#include <dhudmessage>
#include <jb>

#define MAXPLAYERS            32

public plugin_init() 
{
	register_plugin("SimonMusic", "1.0", "mde")
	
	register_clcmd("say /sm", "cmd_music")
	
	register_dictionary("sm.txt")	
}

public plugin_precache() 
{     
    precache_sound("misc/sound1.wav")
    precache_sound("misc/sound2.wav")
    precache_sound("misc/sound3.wav")
} 

public cmd_music(id)
{
		if(jb_is_user_simon(id))
		{
		static menu, menuname[32], option[64]
		
		formatex(menuname, charsmax(menuname), "\y%L", LANG_SERVER, "SM_MENU")
		menu = menu_create(menuname, "music_handler")
		
		formatex(option, charsmax(option), "\w%L", LANG_SERVER, "SM_MUSIC1")
		menu_additem(menu, option, "1", 0)
		
		formatex(option, charsmax(option), "\w%L", LANG_SERVER, "SM_MUSIC2")
		menu_additem(menu, option, "2", 0)
		
		formatex(option, charsmax(option), "\w%L", LANG_SERVER, "SM_MUSIC3")
		menu_additem(menu, option, "3", 0)
		
		formatex(option, charsmax(option), "\w%L", LANG_SERVER, "SM_STOP")
		menu_additem(menu, option, "4", 0)
		
		menu_display(id, menu)
	}
}

public music_handler(id,menu,item)
{
	if(item == MENU_EXIT)
	{
		menu_destroy(menu)
		return PLUGIN_HANDLED
	}
	
	static dst[32], data[5], access, callback

menu_item_getinfo(menu, item, access, data, charsmax(data), dst, charsmax(dst), callback)
menu_destroy(menu)
get_user_name(id, dst, charsmax(dst))

switch(data[0])
{
	case('1'):
	{
		music1(id)
	}
	
	case('2'):
	{
		music2(id)
	}
	
	case('3'):
	{
		music3(id)
	}

	case('4'):
	{
		stop(id)
	}
}
return PLUGIN_HANDLED
}
 
public music1(id)
{
        client_cmd(0, "spk misc/sound1.wav")
        set_hudmessage(20, 255, 20, -1.0, 0.17, 1, 0.0, 5.0, 15.0, 1.0, -1)
        show_hudmessage(0, "Играет Музыка! Танцуем Все!!!")

}

public music2(id)
{
        client_cmd(0, "spk misc/sound2.wav")
        set_hudmessage(20, 255, 20, -1.0, 0.17, 1, 0.0, 5.0, 5.0, 1.0, -1)
        show_hudmessage(0, "Играет Музыка! Танцуем Все!!!")

}

public music3(id)
{
        client_cmd(0, "spk misc/sound3.wav")
        set_hudmessage(20, 255, 20, -1.0, 0.17, 1, 0.0, 5.0, 5.0, 1.0, -1)
        show_hudmessage(0, "Играет Музыка! Танцуем Все!!!")

}

public stop(id)
{
        client_cmd(id, "stopsound")
set_hudmessage(49, 119, 11, 0.42, 0.32, 0, 6.0, 10.0)
show_hudmessage(id, "Музыка Остановлена")


}
